# PSF-LoginServer - master - net.psforever.actors.commands.NtuCommand
PSF - LoginServer - master - net.psforever.actors.commands.NtuCommand
Keywords: PSF LoginServer master net.psforever.actors.commands.NtuCommand

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package commands
  Definition Classes
    actors
- NtuCommand

o

net.psforever.actors.commands

# NtuCommand

###

#### object NtuCommand

Source
  NtuCommand.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NtuCommand
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait Command extends AnyRef
2.  final case class Grant (source: NtuContainer, amount: Float) extends Command with Product with Serializable

   Response for transferring nanites to a recipient.

   Response for transferring nanites to a recipient.

   source

     the nanite container recognized as the sender

   amount

     the nanites transferred in this package

3.  final case class Offer (source: NtuContainer, replyTo: ActorRef[Request]) extends Command with Product with Serializable

   Message for announcing it has nanites it can offer the recipient.

   Message for announcing it has nanites it can offer the recipient.

   source

     the nanite container recognized as the sender

4.  final case class Request (amount: Float, replyTo: ActorRef[Grant]) extends Command with Product with Serializable

   Message for asking for nanites from the recipient.

   Message for asking for nanites from the recipient.

   amount

     the amount of nanites requested

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped